Post Tip Share Hours
Use this method if you want to post Tip Share Recipients Hours.
- Required fields: StoreEmployeeID, JobID
- Editable fields: Hours. Permissions: All users.
Query Parameters
- Type: stringFormat: date-timeFrom
Date Parameter FromDate is used to define start date of Payroll Period time slot. Type: Datetime. The parameter is required.
- Type: stringFormat: date-timeThru
Date Parameter ThruDate is used to define end date of Payroll Period time slot. Type: Datetime. The parameter is optional. By default if ThruDate is NULL then it results in ThruDate = FromDate.
- Type: stringFormat: uuidShift
I D Parameter ShiftID is used to define Shift identifier. Type: Guid. The parameter is optional.
- Type: stringFields
This parameter is used to specify a comma delimited list of fields to return for an object. A field group can also be specified in the following format: 'fieldGroupName'. All fields for the object can be returned by specifying 'All'
'Default' group is always shown, even if Fields parameter is not specified. 'Lookup' group will be shown if a model is a child of the required one.
- Type: stringapi
-version
Headers
- Type: stringD
C Key The Integration Key generated for API Authentication by the PAR OPS support team as part of the integration/partnership process.
Body
Mandatory 'body' parameter, used to describe objects.
- Type: { Hours, JobID, StoreEmployeeID }Properties: 3
Responses
curl '/Payroll/TipShareHours?ShiftID=C895A81E-0C20-42C0-B2DC-EAF43F9447BD' \
--request POST \
--header 'Content-Type: application/json-patch+json' \
--header 'DCKey: YOUR_SECRET_TOKEN' \
--data '[
{
"StoreEmployeeID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"JobID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"Hours": null
}
]'
{
"Data": [
{
"ID": 1,
"StoreEmployee": {
"StoreEmployeeID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"FirstName": null,
"LastName": null
},
"Job": {
"ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"Description": null
},
"Hours": null,
"OriginalHours": null
}
]
}Request was successfull.
